Bug 965096 - image packaging problem
image packaging problem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
18
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 07:22 EDT by josef radinger
Modified: 2014-02-05 16:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:27:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ettercap with huge image (187.38 KB, image/png)
2013-05-20 07:22 EDT, josef radinger
no flags Details

  None (edit)
Description josef radinger 2013-05-20 07:22:24 EDT
Created attachment 750549 [details]
ettercap with huge image

Description of problem:
ettercap has images in the package that almost "break" gpk-application. this is clearly just a packaging-problem.


Version-Release number of selected component (if applicable):
at least in fc18. the bad image would be in ../hicolor/32x32/, i think.

/usr/share/ettercap/ettercap.png:                 PNG image data, 1000 x 323, 8-bit/color RGBA, non-interlaced
/usr/share/icons/hicolor/32x32/apps/ettercap.png: PNG image data, 1000 x 323, 8-bit/color RGBA, non-interlaced

Actual results:
see attachment
Comment 1 Gwyn Ciesla 2013-05-20 11:38:28 EDT
Huh, I never noticed because most WMs scale it down.  Given that, I think a more robust solution would be for gpk-application to scale large images.
Comment 2 Fedora End Of Life 2013-12-21 08:38:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:27:29 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.